CREATE TABLE `qvc_219_header` (
  `id` varchar(255) NOT NULL,
  `bill_of_lading_number` varchar(45) DEFAULT NULL,
  `carrier_reference_number` varchar(45) DEFAULT NULL,
  `connecting_carrier_SCAC` varchar(45) DEFAULT NULL,
  `consignee_address` varchar(55) DEFAULT NULL,
  `consignee_agent_email` varchar(80) DEFAULT NULL,
  `consignee_agent_name` varchar(60) DEFAULT NULL,
  `consignee_agent_tel` varchar(80) DEFAULT NULL,
  `consignee_city` varchar(45) DEFAULT NULL,
  `consignee_code` varchar(60) DEFAULT NULL,
  `consignee_coordinator_email` varchar(80) DEFAULT NULL,
  `consignee_coordinator_name` varchar(60) DEFAULT NULL,
  `consignee_coordinator_tel` varchar(80) DEFAULT NULL,
  `consignee_country` varchar(45) DEFAULT NULL,
  `consignee_name` varchar(60) DEFAULT NULL,
  `consignee_state` varchar(45) DEFAULT NULL,
  `consignor_address` varchar(55) DEFAULT NULL,
  `consignee_postal_code` varchar(45) DEFAULT NULL,
  `consignor_agent_email` varchar(80) DEFAULT NULL,
  `consignor_agent_name` varchar(60) DEFAULT NULL,
  `consignor_agent_tel` varchar(80) DEFAULT NULL,
  `consignor_city` varchar(45) DEFAULT NULL,
  `consignor_code` varchar(80) DEFAULT NULL,
  `consignor_coordinator_email` varchar(80) DEFAULT NULL,
  `consignor_coordinator_name` varchar(60) DEFAULT NULL,
  `consignor_coordinator_tel` varchar(80) DEFAULT NULL,
  `consignor_country` varchar(45) DEFAULT NULL,
  `consignor_name` varchar(60) DEFAULT NULL,
  `consignor_postal_code` varchar(45) DEFAULT NULL,
  `consignor_state` varchar(45) DEFAULT NULL,
  `doc_number` varchar(45) DEFAULT NULL,
  `dropoff_location_address` varchar(55) DEFAULT NULL,
  `dropoff_location_agent_email` varchar(80) DEFAULT NULL,
  `dropoff_location_agent_name` varchar(60) DEFAULT NULL,
  `dropoff_location_agent_tel` varchar(80) DEFAULT NULL,
  `dropoff_location_city` varchar(45) DEFAULT NULL,
  `dropoff_location_code` varchar(80) DEFAULT NULL,
  `dropoff_location_coordinator_email` varchar(80) DEFAULT NULL,
  `dropoff_location_coordinator_name` varchar(60) DEFAULT NULL,
  `dropoff_location_coordinator_tel` varchar(80) DEFAULT NULL,
  `dropoff_location_country` varchar(45) DEFAULT NULL,
  `dropoff_location_name` varchar(60) DEFAULT NULL,
  `dropoff_location_postal_code` varchar(45) DEFAULT NULL,
  `dropoff_location_state` varchar(45) DEFAULT NULL,
  `earliest_pickup_date` datetime DEFAULT NULL,
  `latest_pickup_date` datetime DEFAULT NULL,
  `motor_carrier_ID` varchar(45) DEFAULT NULL,
  `pickup_location_address` varchar(55) DEFAULT NULL,
  `pickup_location_agent_email` varchar(80) DEFAULT NULL,
  `pickup_location_agent_name` varchar(60) DEFAULT NULL,
  `pickup_location_agent_tel` varchar(80) DEFAULT NULL,
  `pickup_location_city` varchar(45) DEFAULT NULL,
  `pickup_location_code` varchar(45) DEFAULT NULL,
  `pickup_location_coordinator_email` varchar(80) DEFAULT NULL,
  `pickup_location_coordinator_name` varchar(60) DEFAULT NULL,
  `pickup_location_coordinator_tel` varchar(80) DEFAULT NULL,
  `pickup_location_country` varchar(45) DEFAULT NULL,
  `pickup_location_name` varchar(60) DEFAULT NULL,
  `pickup_location_postal_code` varchar(45) DEFAULT NULL,
  `pickup_location_state` varchar(45) DEFAULT NULL,
  `Sender_ID` varchar(45) DEFAULT NULL,
  `shipper_weight` decimal(10,0) DEFAULT NULL,
  `shipping_carrier_account_number` varchar(45) DEFAULT NULL,
  `status` varchar(45) DEFAULT NULL,
  `stop_reason_code` varchar(45) DEFAULT NULL,
  `stop_sequence_number` varchar(45) DEFAULT NULL,
  `transfer_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_219_detail` (
  `id` varchar(255) NOT NULL,
  `header_id` varchar(255) DEFAULT NULL,
  `merchant_ID` varchar(45) DEFAULT NULL,
  `ordered_quantity` varchar(48) DEFAULT NULL,
  `po_line_no` varchar(48) DEFAULT NULL,
  `po_number` varchar(45) DEFAULT NULL,
  `shipper_weight` decimal(10,0) DEFAULT NULL,
  `sku_number` varchar(48) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `vendor_id_number` varchar(45) DEFAULT NULL,
  `vendor_sku_number` varchar(48) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_219_header_detail_idx` (`header_id`),
  CONSTRAINT `qvc_219_header_detail` FOREIGN KEY (`header_id`) REFERENCES `qvc_219_header` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_846_header` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `transaction_date` datetime DEFAULT NULL,
  `transaction_number` varchar(45) DEFAULT NULL,
  `vendor_number` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_UNIQUE` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_846_line` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `hid` varchar(255) DEFAULT NULL,
  `ship_quantity` decimal(10,0) DEFAULT NULL,
  `sku_number` varchar(48) DEFAULT NULL,
  `unit` varchar(45) DEFAULT NULL,
  `unit_price` decimal(10,0) DEFAULT NULL,
  `unuse_qty` decimal(10,0) DEFAULT NULL,
  `UPC_number` varchar(48) DEFAULT NULL,
  `vendor_product_number` varchar(48) DEFAULT NULL,
  `warehouse_code` varchar(45) DEFAULT NULL,
  `item_desc` varchar(80) DEFAULT NULL,
  `exprice_date` datetime DEFAULT NULL,
  `available_qty` decimal(10,0) DEFAULT NULL,
  `product_availability_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_846_fpk_idx` (`hid`),
  CONSTRAINT `qvc_846_fpk` FOREIGN KEY (`hid`) REFERENCES `qvc_846_header` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_850_header` (
  `id` varchar(255) NOT NULL,
  `allowance_code` varchar(45) DEFAULT NULL,
  `amount` decimal(10,0) DEFAULT NULL,
  `bill_to_addr` varchar(140) DEFAULT NULL,
  `bill_to_city` varchar(55) DEFAULT NULL,
  `bill_to_code` varchar(80) DEFAULT NULL,
  `bill_to_contact_email` varchar(80) DEFAULT NULL,
  `bill_to_contact_name` varchar(45) DEFAULT NULL,
  `bill_to_contact_tel` varchar(80) DEFAULT NULL,
  `bill_to_contry` varchar(45) DEFAULT NULL,
  `bill_to_id` varchar(45) DEFAULT NULL,
  `bill_to_name` varchar(45) DEFAULT NULL,
  `bill_to_state` varchar(55) DEFAULT NULL,
  `bill_to_zip` varchar(45) DEFAULT NULL,
  `buyer_code` varchar(45) DEFAULT NULL,
  `buyer_ident` varchar(45) DEFAULT NULL,
  `buyer_ident_number` varchar(45) DEFAULT NULL,
  `buyer_name` varchar(45) DEFAULT NULL,
  `commercehub_internal_code` varchar(45) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `currency_code` varchar(45) DEFAULT NULL,
  `customer_membership_id` varchar(45) DEFAULT NULL,
  `customer_order_date` datetime DEFAULT NULL,
  `customer_order_line_number` varchar(45) DEFAULT NULL,
  `customer_order_number` varchar(45) DEFAULT NULL,
  `customer_relation_contact_tel` varchar(80) DEFAULT NULL,
  `estimated_delivery_date` datetime DEFAULT NULL,
  `file_type` varchar(45) DEFAULT NULL,
  `good_service_charge_amount` decimal(15,0) DEFAULT NULL,
  `good_service_charge_desc` varchar(80) DEFAULT NULL,
  `merchandise_type` varchar(45) DEFAULT NULL,
  `merchant_batch_number` varchar(45) DEFAULT NULL,
  `nopackslip_desc` varchar(45) DEFAULT NULL,
  `order_contact_tel` varchar(80) DEFAULT NULL,
  `order_date` datetime DEFAULT NULL,
  `order_department_contact_tel` varchar(80) DEFAULT NULL,
  `other_amount` decimal(10,0) DEFAULT NULL,
  `pack_list_number` varchar(45) DEFAULT NULL,
  `packing_slip_message` varchar(80) DEFAULT NULL,
  `partytoReceive_addr` varchar(45) DEFAULT NULL,
  `partytoReceive_city` varchar(45) DEFAULT NULL,
  `partytoReceive_code` varchar(45) DEFAULT NULL,
  `partytoReceive_contact_name` varchar(45) DEFAULT NULL,
  `partytoReceive_contact_tel` varchar(45) DEFAULT NULL,
  `partytoReceive_country` varchar(45) DEFAULT NULL,
  `partytoReceive_name` varchar(45) DEFAULT NULL,
  `partytoReceive_state` varchar(45) DEFAULT NULL,
  `partytoReceive_zip` varchar(45) DEFAULT NULL,
  `payment_desc` varchar(80) DEFAULT NULL,
  `payment_method` varchar(45) DEFAULT NULL,
  `po_date` datetime DEFAULT NULL,
  `po_number` varchar(45) DEFAULT NULL,
  `po_type` varchar(45) DEFAULT NULL,
  `requested_ship_date` datetime DEFAULT NULL,
  `retail_amount` decimal(15,0) DEFAULT NULL,
  `retail_desc` varchar(80) DEFAULT NULL,
  `routing` varchar(45) DEFAULT NULL,
  `sales_division` varchar(45) DEFAULT NULL,
  `sender_ID` varchar(45) DEFAULT NULL,
  `ship_from_addr` varchar(140) DEFAULT NULL,
  `ship_from_city` varchar(55) DEFAULT NULL,
  `ship_from_code` varchar(80) DEFAULT NULL,
  `ship_from_contact_tel` varchar(80) DEFAULT NULL,
  `ship_from_country` varchar(45) DEFAULT NULL,
  `ship_from_name` varchar(45) DEFAULT NULL,
  `ship_from_state` varchar(55) DEFAULT NULL,
  `ship_from_zip` varchar(45) DEFAULT NULL,
  `ship_method_desc` varchar(80) DEFAULT NULL,
  `ship_to_addr` varchar(140) DEFAULT NULL,
  `ship_to_city` varchar(55) DEFAULT NULL,
  `ship_to_code` varchar(80) DEFAULT NULL,
  `ship_to_contact_email` varchar(80) DEFAULT NULL,
  `ship_to_contact_name` varchar(45) DEFAULT NULL,
  `ship_to_contact_tel` varchar(80) DEFAULT NULL,
  `ship_to_country` varchar(45) DEFAULT NULL,
  `ship_to_id` varchar(45) DEFAULT NULL,
  `ship_to_name` varchar(45) DEFAULT NULL,
  `ship_to_state` varchar(55) DEFAULT NULL,
  `ship_to_zip` varchar(45) DEFAULT NULL,
  `shipping_amount` decimal(15,0) DEFAULT NULL,
  `shipping_desc` varchar(80) DEFAULT NULL,
  `sold_addr` varchar(45) DEFAULT NULL,
  `sold_city` varchar(45) DEFAULT NULL,
  `sold_country` varchar(45) DEFAULT NULL,
  `sold_id` varchar(45) DEFAULT NULL,
  `sold_name` varchar(45) DEFAULT NULL,
  `sold_state` varchar(45) DEFAULT NULL,
  `sold_zip` varchar(45) DEFAULT NULL,
  `special_code` varchar(45) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `subday_desc` varchar(45) DEFAULT NULL,
  `tax_amount` decimal(15,0) DEFAULT NULL,
  `tax_desc` varchar(80) DEFAULT NULL,
  `terms_discount_amount` decimal(10,0) DEFAULT NULL,
  `terms_discount_days` varchar(3) DEFAULT NULL,
  `vendor_code` varchar(45) DEFAULT NULL,
  `warehouse` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_850_line` (
  `id` varchar(255) NOT NULL,
  `base_charge_amount` decimal(15,0) DEFAULT NULL,
  `base_charge_desc` varchar(80) DEFAULT NULL,
  `buyer_catalog_number` varchar(48) DEFAULT NULL,
  `carrier_hub_code` varchar(45) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `credit_amount` decimal(15,0) DEFAULT NULL,
  `credit_desc` varchar(80) DEFAULT NULL,
  `estimated_delivery_date` datetime DEFAULT NULL,
  `expected_ship_date` datetime DEFAULT NULL,
  `good_service_charge_amount` decimal(10,0) DEFAULT NULL,
  `good_service_charge_desc` varchar(45) DEFAULT NULL,
  `hid` varchar(255) DEFAULT NULL,
  `item_color` varchar(80) DEFAULT NULL,
  `item_color_desc` varchar(80) DEFAULT NULL,
  `item_desc` varchar(80) DEFAULT NULL,
  `item_size_desc` varchar(80) DEFAULT NULL,
  `ordered_qty` decimal(10,0) DEFAULT NULL,
  `ordered_unit` varchar(45) DEFAULT NULL,
  `po_line_num` varchar(45) DEFAULT NULL,
  `request_ship_date` datetime DEFAULT NULL,
  `resales_unit_price` decimal(10,0) DEFAULT NULL,
  `retail_amount` decimal(10,0) DEFAULT NULL,
  `retail_desc` varchar(45) DEFAULT NULL,
  `routing` varchar(45) DEFAULT NULL,
  `ship_method_desc` varchar(80) DEFAULT NULL,
  `shipping_amount` decimal(15,0) DEFAULT NULL,
  `shipping_desc` varchar(80) DEFAULT NULL,
  `sku_num` varchar(48) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `tax_amount` decimal(15,0) DEFAULT NULL,
  `tax_desc` varchar(80) DEFAULT NULL,
  `terms_discount_amount` decimal(10,0) DEFAULT NULL,
  `terms_discount_days` varchar(3) DEFAULT NULL,
  `tracking_number` varchar(45) DEFAULT NULL,
  `tracking_number_desc` varchar(45) DEFAULT NULL,
  `unit_price` decimal(10,0) DEFAULT NULL,
  `UPC_code` varchar(48) DEFAULT NULL,
  `vendor_item_number` varchar(48) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_850_header_detail_idx` (`hid`),
  CONSTRAINT `qvc_850_header_detail` FOREIGN KEY (`hid`) REFERENCES `qvc_850_header` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_850_detail` (
  `id` varchar(255) NOT NULL,
  `carrier_permit_number` varchar(45) DEFAULT NULL,
  `carrier_routing_code` varchar(45) DEFAULT NULL,
  `carrier_routing_number` varchar(45) DEFAULT NULL,
  `consignment_reference_number` varchar(45) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `delivery_confirmation_number` varchar(45) DEFAULT NULL,
  `gross_weight_per_pack` decimal(10,0) DEFAULT NULL,
  `height` decimal(10,0) DEFAULT NULL,
  `length` decimal(10,0) DEFAULT NULL,
  `merchant_assigned_box_number` varchar(45) DEFAULT NULL,
  `package_label_box_number` varchar(45) DEFAULT NULL,
  `pid` varchar(255) DEFAULT NULL,
  `return_cargo_harge` varchar(45) DEFAULT NULL,
  `return_shipping_amount_desc` varchar(80) DEFAULT NULL,
  `return_tracking_number` varchar(45) DEFAULT NULL,
  `service_postal_code` varchar(45) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `subordered_qty` decimal(10,0) DEFAULT NULL,
  `subordered_unit` varchar(45) DEFAULT NULL,
  `subpo_line_num` varchar(45) DEFAULT NULL,
  `tracking_number` varchar(45) DEFAULT NULL,
  `unit` varchar(45) DEFAULT NULL,
  `weight_unit` varchar(45) DEFAULT NULL,
  `width` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_850_line_detail_idx` (`pid`),
  CONSTRAINT `qvc_850_line_detail` FOREIGN KEY (`pid`) REFERENCES `qvc_850_line` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_856_header` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `create_datetime` datetime DEFAULT NULL,
  `asn_date` datetime DEFAULT NULL,
  `asn_type` varchar(45) DEFAULT NULL,
  `bill_of_lading_number` varchar(45) DEFAULT NULL,
  `routing` varchar(45) DEFAULT NULL,
  `shipped_date` datetime DEFAULT NULL,
  `vendor_addr` varchar(255) DEFAULT NULL,
  `vendor_city` varchar(55) DEFAULT NULL,
  `vendor_code` varchar(80) DEFAULT NULL,
  `vendor_country` varchar(45) DEFAULT NULL,
  `vendor_name` varchar(45) DEFAULT NULL,
  `vendor_state` varchar(55) DEFAULT NULL,
  `vendor_zip` varchar(45) DEFAULT NULL,
  `weight` decimal(10,0) DEFAULT NULL,
  `weight_unit` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_856_order` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `hid` varchar(255) DEFAULT NULL,
  `handing_charges` varchar(45) DEFAULT NULL,
  `invoice_number` varchar(45) DEFAULT NULL,
  `po_number` varchar(45) DEFAULT NULL,
  `shipping_charges` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_856_header_order_idx` (`hid`),
  CONSTRAINT `qvc_856_header_order` FOREIGN KEY (`hid`) REFERENCES `qvc_856_header` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `qvc_856_item` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `oid` varchar(255) DEFAULT NULL,
  `line_number` varchar(45) DEFAULT NULL,
  `order_qty` decimal(10,0) DEFAULT NULL,
  `line_shipped_qty` decimal(10,0) DEFAULT NULL,
  `line_shipped_qty_unit` varchar(45) DEFAULT NULL,
  `reason_of_change` varchar(255) DEFAULT NULL,
  `sku_number` varchar(45) DEFAULT NULL,
  `vendor_item_number` varchar(48) DEFAULT NULL,
  `warehouse_code` varchar(80) DEFAULT NULL,
  `unit_price` decimal(10,0) DEFAULT NULL,
  `serial_number` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_856_order_item_idx` (`oid`),
  CONSTRAINT `qvc_856_order_item` FOREIGN KEY (`oid`) REFERENCES `qvc_856_order` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


CREATE TABLE `qvc_856_pack` (
  `id` varchar(255) NOT NULL,
  `status` int DEFAULT NULL,
  `item_id` varchar(255) DEFAULT NULL,
  `tracking_number` varchar(90) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qvc_856_item_pack_idx` (`item_id`),
  CONSTRAINT `qvc_856_item_pack` FOREIGN KEY (`item_id`) REFERENCES `qvc_856_item` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
